GET Retrieve information about settings that apply to your account.
GET /platform/v1/settings
Operation ID: Get Account Settings.
Retrieves the status of the Einstein Data Pooling business rule in Marketing Cloud Engagement. To retrieve the status for a specific account, use the account_id parameter in your authentication token request so that the token is scoped to that account. See Access Token for Server-to-Server Integrations.
To retrieve the status of this business rule for all business units in an enterprise, include the entire_enterprise=true query parameter.
This operation doesn’t support filtering, sorting, or pagination. You can issue up to 20 requests to this endpoint per hour.
This endpoint isn’t enabled by default. To enable it for your account, contact your Salesforce account executive.
Required Permission Scopes
To execute this operation, you must have the Account | View permission. To use the entire_enterprise option, you must also have the AccountUser | View permission.
Parameters
Authorization(header, string, required) A unique, time-limited token that you can use to issue requests to the Marketing Cloud Engagement API. ReplaceYOUR_ACCESS_TOKENwith your authentication token.Example
Bearer YOUR_ACCESS_TOKENentire_enterprise(query, boolean) Determines whether information is retrieved for all business units. If the value istrue, the response includes information for all business units that belong to the Enterprise account. The default value isfalse.
Responses
- 200
Returns a list of the settings that apply to the Marketing Cloud Engagement account specified by the current session’s API authentication token.
Media type:
application/json. Schema:accountSettingsResponseBody.Example: Response with entire_enterprise=true query parameter
[ { "displayname": "Einstein Data Pooling", "description": "Opt out of data pooling to prevent user data from being co-mingled with other accounts to train models used in Einstein features.", "value": "Enabled", "account_id": "12345678", "childBUValues": [ { "value": "Enabled", "account_id": "12345679" }, { "value": "Disabled", "account_id": "12345680" }, { "value": "Disabled", "account_id": "12345681" } ] } ]Example: Response with entire_enterprise=false query parameter
[ { "displayname": "Einstein Data Pooling", "description": "Opt out of data pooling to prevent user data from being co-mingled with other accounts to train models used in Einstein features.", "value": "Enabled", "account_id": "12345678" } ] - 400
Indicates that your request contained errors that prevented the validation process. When you receive a 400 response, verify that the request syntax is accurate.
Media type:
application/json. Schema:mceErrorResponseBody.Example
{ "message": "JSON Deserialization Exception: Location Unknown", "errorcode": 10004, "documentation": "" } - 401
Indicates that Marketing Cloud Engagement wasn’t able to authorize your request. When you receive a 401 response, verify that you obtained an authorization token and that the token is still valid.
Media type:
application/json. Schema:httpErrorResponseBody.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 0, "message": "Not Found" } - 500
Indicates that Marketing Cloud Engagement encountered an error when processing the request. When you receive a 500 response, verify that the request uses the correct syntax.
Media type:
application/json. Schema:httpErrorResponseBody.Example
{ "documentation": "https://developer.salesforce.com/docs/atlas.en-us.mc-apis.meta/mc-apis/error-handling.htm", "errorcode": 0, "message": "Internal Server Error" }